using Autoscribe.Lyons.GeneralService;
using Autoscribe.Lyons.OFACServiceContract;

namespace ofacDemo.Wrapper
{
    interface IOFACWrapper
    {
        LogonResult Logon(int companyId, string username, string password);
        void Logoff(string token);
        EntityListResult OFACLogonScanName(int companyID, string userName, string password, string name);
        EntityListResult OFACScanName(string token, string name);
        EntityListResult OFACScanCountry(string token, string name, string country);
        CountryListResult GetCountryList(string token);
        FullEntityListResult OFACScanNameFullRecord(string token, string name, string country);
    }
}
